
/* ScummVM - Graphic Adventure Engine
 *
 * ScummVM is the legal property of its developers, whose names
 * are too numerous to list here. Please refer to the COPYRIGHT
 * file distributed with this source distribution.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef BAGEL_SPACEBAR_SRAF_FILE_H
#define BAGEL_SPACEBAR_SRAF_FILE_H

#include "bagel/boflib/stdinc.h"

namespace Bagel {
namespace SpaceBar {

#define kGSM1SraMaleStr     "GSM1.WAV"
#define kGSM1SraFemStr      "GSF1.WAV"
#define kGSM2SraMaleStr     "GSM2.WAV"
#define kGSM2SraFemStr      "GSF2.WAV"
#define kGSM3SraMaleStr     "GSM3.WAV"
#define kGSM3SraFemStr      "GSF3.WAV"
#define kGSM4SraMaleStr     "GSM4.WAV"
#define kGSM4SraFemStr      "GSF4.WAV"
#define kGSM5SraMaleStr     "GSM5.WAV"
#define kGSM5SraFemStr      "GSF5.WAV"
#define kGSM6SraMaleStr     "GSM6.WAV"
#define kGSM6SraFemStr      "GSF6.WAV"
#define kGSM7SraMaleStr     "GSM7.WAV"
#define kGSM7SraFemStr      "GSF7.WAV"
#define kGSM8SraMaleStr     "GSM8.WAV"
#define kGSM8SraFemStr      "GSF8.WAV"
#define kGSM9SraMaleStr     "GSM9.WAV"
#define kGSM9SraFemStr      "GSF9.WAV"
#define kGSM10SraMaleStr    "GSM10.WAV"
#define kGSM10SraFemStr     "GSF10.WAV"
#define kGSM11SraMaleStr    "GSM11.WAV"
#define kGSM11SraFemStr     "GSF11.WAV"
#define kGSM12SraMaleStr    "GSM12.WAV"
#define kGSM12SraFemStr     "GSF12.WAV"

// Not voice recorded yet
#define kGSM13SraMaleStr    "GSM13.TXT"
#define kGSM13SraFemStr     "GSF13.TXT"
#define kGSM14SraMaleStr    "GSM14.TXT"
#define kGSM14SraFemStr     "GSF14.TXT"
#define kGSM15SraMaleStr    "GSM15.TXT"
#define kGSM15SraFemStr     "GSF15.TXT"
#define kGSM16SraMaleStr    "GSM16.TXT"
#define kGSM16SraFemStr     "GSF16.TXT"
#define kGSM17SraMaleStr    "GSM17.TXT"
#define kGSM17SraFemStr     "GSF17.TXT"
#define kGSM18SraMaleStr    "GSM18.TXT"
#define kGSM18SraFemStr     "GSF18.TXT"
#define kGSM19SraMaleStr    "GSM19.TXT"
#define kGSM19SraFemStr     "GSF19.TXT"
#define kGSM20SraMaleStr    "GSM20.TXT"
#define kGSM20SraFemStr     "GSF20.TXT"
#define kGSM21SraMaleStr    "GSM21.TXT"
#define kGSM21SraFemStr     "GSF21.TXT"
#define kGSM22SraMaleStr    "GSM22.TXT"
#define kGSM22SraFemStr     "GSF22.TXT"
#define kGSM23SraMaleStr    "GSM23.TXT"
#define kGSM23SraFemStr     "GSF23.TXT"

} // namespace SpaceBar
} // namespace Bagel

#endif
